FilterLeafReader.FilterFields (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.index, class: FilterLeafReader, class: FilterFields

Package org.apache.lucene.index

# Class FilterLeafReader.FilterFields

java.lang.Object
org.apache.lucene.index.Fields
org.apache.lucene.index.FilterLeafReader.FilterFields

All Implemented Interfaces:
  `Iterable<String>`

Direct Known Subclasses:
  `MappedMultiFields`

Enclosing class:
  `FilterLeafReader`

public abstract static class FilterLeafReader.FilterFields extends Fields
Base class for filtering `Fields` implementations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Fields`
  `in`
  The underlying Fields instance.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FilterFields(Fields in)`
  Creates a new FilterFields.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<String>`
  `iterator()`
  Returns an iterator that will step through all fields names.
  `int`
  `size()`
  Returns the number of fields or -1 if the number of distinct field names is unknown.
  `Terms`
  `terms(String field)`
  Get the `Terms` for this field.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### in

    protected final Fields in
    The underlying Fields instance.

- ## Constructor Details

  - ### FilterFields

    protected FilterFields(Fields in)
    Creates a new FilterFields.
    Parameters:
      `in` - the underlying Fields instance.

- ## Method Details

  - ### iterator

    public Iterator<String> iterator()
    Description copied from class: `Fields`
    Returns an iterator that will step through all fields names. This will not return null.
    Specified by:
      `iterator` in interface `Iterable<String>`
    Specified by:
      `iterator` in class `Fields`

  - ### terms

    public Terms terms(String field) throws IOException
    Description copied from class: `Fields`
    Get the `Terms` for this field. This will return null if the field does not exist.
    Specified by:
      `terms` in class `Fields`
    Throws:
      `IOException`

  - ### size

    public int size()
    Description copied from class: `Fields`
    Returns the number of fields or -1 if the number of distinct field names is unknown. If >= 0, `Fields.iterator()` will return as many field names.
    Specified by:
      `size` in class `Fields`